import serial

class Display:
	def __init__(self,portname="/dev/ttyUSB0"):
		#code here
		self.serialport=None
		self.open_port(portname)

	def __del__(self):
		if (not self.serialport == None):
			self.serialport.close()
			self.serialport=None

	def open_port(self,portname):
		self.serialport = serial.Serial(portname,9600,timeout=2,rtscts=True, dsrdtr=True)
		self.reset_display()
		self.send("Hello world")


	def reset_display(self):
		print ("Initializing display on port %s\n" % self.serialport )
		#code here

	def send(self,text):
		self.serialport.write(text)	
